Package com.io7m.idstore.server.http

# Class IdHTTPErrorStatusException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException
com.io7m.idstore.server.http.IdHTTPErrorStatusException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<IdErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<IdErrorCode>`, `Serializable`

public final class IdHTTPErrorStatusException extends IdException
An exception with an associated error code and HTTP status code.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPErrorStatusException(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, int inHttpStatusCode)`
  Construct an exception.
  `IdHTTPErrorStatusException(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, int inHttpStatusCode)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `httpStatusCode()`

  ### Methods inherited from class com.io7m.idstore.error_codes.IdException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### IdHTTPErrorStatusException

    public IdHTTPErrorStatusException(String message, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, int inHttpStatusCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inHttpStatusCode` - The HTTP status code

  - ### IdHTTPErrorStatusException

    public IdHTTPErrorStatusException(String message, Throwable cause, IdErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction, int inHttpStatusCode)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any
      `inHttpStatusCode` - The HTTP status code

- ## Method Details

  - ### httpStatusCode

    public int httpStatusCode()
    Returns:
      The HTTP status code